image: php:7.2

stages:
  - deploy

before_script:
  - "which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y  )"
  - "which rsync || ( apt-get update -y && apt-get install rsync -y )"
  #- "which yarn || ( apt-get update -y && apt-get install yarn -y )"
  - eval $(ssh-agent -s)
  - echo "$u1n3_pk" | tr -d '\r' | ssh-add - > /dev/null
  - mkdir -p ~/.ssh
  - chmod 700 ~/.ssh
  - ssh-keyscan -p 22 $u1n3_ip >> ~/.ssh/known_hosts
  - chmod 644 ~/.ssh/known_hosts
  #- mkdir CONFIG
  #- echo $config > $CI_PROJECT_DIR/CONFIG/config.php
  #- yarn

deploy:
  stage: deploy
  script:
    - rsync -Ppr -e "ssh -p 22" --progress --exclude=".git" $CI_PROJECT_DIR/ $u1n3_user@$u1n3_ip:$u1n3_pwd
    # Non interactive ssh gracefully reloads server
    #- ssh $hawk_bs_user@$hawk_bs_ip '. /etc/profile; pm2 reload all'
  only:
    # Trigger deployments only from production branch
    #- production
    - master
